<!---
 When 0.20.0 is released this announcement will be posted to r/rust and the
 rust user forum. Also post in rust audio discord: https://discord.gg/8qW6q2k
-->

# Announcing rodio 0.20 and call for help


Rodio is an audio playback library. It can decode audio files, synthesize new
sounds, apply effects to sounds & mix them. Rodio has been part of the Rust
ecosystem for 9 years now! 🎉.

## New release
The rodio contributors have made many improvements in the last 5 months. Rodio can now:

- Seek back and forth through sound efficiently
- Track the playback position at sample accuracy!
- Generate more signals such as chirps, white & pink noise and different
  wavesforms
- Automatically adjust the gain to limit the peak volume and change in loudness

This is ignoring the many fixes and smaller additions made by the many
contributors who helped out expand rodio.

## Call for help

In its 9 years of existence Rust has changed a lot. Further more Rodio is being
used for applications beyond its original scope. To improve rodio we believe its
time for larger (breaking) changes. 

### User feedback
To ensure we make the right changes we want
to know what rodio is being used for and what you all would like to use it for. 

We can use any input you have but are especially looking for users who are:
- using rodio and feel some part of the API is hard to use.
- have experienced footguns/pain point
- wanted to use rodio but could not make it fit their use-case (excluding complex
  game audio (best served by [kira](https://crates.io/crates/kira)) and advanced
  dsp). If you disagree and think rodio can server those excluded use-case too
  let us know!

The best way to leave your feedback is a short user story on our issue
[tracker](https://github.com/RustAudio/rodio/issues). If that is not your thing
any other form posted there works too!

### Architecture & API
We can use input on our planned [changes](https://github.com/RustAudio/rodio/issues/614) and how to best implement them.
